> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List tags

> List tags with optional search, filtering, sorting, and pagination



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/taxonomy/v1/tags
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/tags:
    get:
      tags:
        - Tags
      summary: List tags
      description: List tags with optional search, filtering, sorting, and pagination
      parameters:
        - description: Filter by namespace ID
          name: namespaceId
          in: query
          schema:
            type: string
        - description: Search by label or description
          name: search
          in: query
          schema:
            type: string
        - description: Filter by status
          name: status
          in: query
          schema:
            type: string
        - description: Filter by parent ID
          name: parentId
          in: query
          schema:
            type: string
        - description: Only return root tags
          name: rootOnly
          in: query
          schema:
            type: boolean
        - description: Filter by entity ID
          name: entityId
          in: query
          schema:
            type: string
        - description: Filter by entity type
          name: entityType
          in: query
          schema:
            type: string
        - description: Sort field (label, entityCount)
          name: sort
          in: query
          schema:
            type: string
        - description: Sort order (asc, desc)
          name: order
          in: query
          schema:
            type: string
        - description: Page size
          name: limit
          in: query
          schema:
            type: integer
        - description: Page offset
          name: offset
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_taxonomy.TagListResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
components:
  schemas:
    data-taxonomy-service_taxonomy.TagListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.TagListItem'
        meta:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.ListMeta'
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.TagListItem:
      type: object
      properties:
        children:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.TagListItem'
        description:
          type: string
        entityCount:
          $ref: >-
            #/components/schemas/data-taxonomy-service_taxonomy.EntityCountByType
        id:
          type: string
        label:
          type: string
        namespaceId:
          type: string
        namespaceLabel:
          type: string
        parentId:
          type: string
        status:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.TagStatus'
    data-taxonomy-service_taxonomy.ListMeta:
      type: object
      properties:
        filters:
          type: object
          additionalProperties:
            type: string
        pagination:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PaginationMeta'
        search:
          type: string
        sort:
          type: string
    data-taxonomy-service_taxonomy.EntityCountByType:
      type: object
      properties:
        app:
          type: integer
        dataset:
          type: integer
        environment:
          type: integer
        model:
          type: integer
        netappVolume:
          type: integer
        project:
          type: integer
        projectTemplate:
          type: integer
        total:
          type: integer
    data-taxonomy-service_taxonomy.TagStatus:
      type: string
      enum:
        - active
        - deprecated
      x-enum-varnames:
        - TagStatusActive
        - TagStatusDeprecated
    data-taxonomy-service_taxonomy.PaginationMeta:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer

````

## Related topics

- [List model tags](/6.3/api-reference/model-monitoring-models/get-model-monitorv2apimodel-tags.md)
- [The python-domino library](/6.3/reference/python-sdk/python-domino.md)
- [List](/6.3/api-reference/exports/list.md)
- [List traces](/6.3/api-reference/ai-systems/list-traces.md)
